# QSqlDriver Class Reference

### [com.trolltech.qt.sql package]

Inherits QObject.

### Constructor

- void QSqlDriver(QObject parent)

### Constructor Properties

- prototype: The QSqlDriver prototype object
- WhereStatement
- SelectStatement
- UpdateStatement
- InsertStatement
- DeleteStatement
- StatementType( value )
- FieldName
- TableName
- IdentifierType( value )
- Transactions
- QuerySize
- BLOB
- Unicode
- PreparedQueries
- NamedPlaceholders
- PositionalPlaceholders
- LastInsertId
- BatchOperations
- SimpleLocking
- LowPrecisionNumbers
- EventNotifications
- FinishQuery
- MultipleResultSets
- DriverFeature( value )

### Prototype Object Properties

The QSqlDriver prototype object inherits properties from the QObject prototype object and also has the following properties.

- bool beginTransaction()
- void close()
- bool commitTransaction()
- QSqlResult createResult()
- String escapeIdentifier(String identifier, IdentifierType type)
- String formatValue(QSqlField field, bool trimStrings)
- Object handle()
- bool hasFeature(DriverFeature f)
- bool isIdentifierEscaped(String identifier, IdentifierType type)
- bool isOpen()
- bool isOpenError()
- QSqlError lastError()
- NumericalPrecisionPolicy numericalPrecisionPolicy()
- bool open(String db, String user, String password, String host, int port, String connOpts)
- QSqlIndex primaryIndex(String tableName)
- QSqlRecord record(String tableName)
- bool rollbackTransaction()
- void setNumericalPrecisionPolicy(NumericalPrecisionPolicy precisionPolicy)
- String sqlStatement(StatementType type, String tableName, QSqlRecord rec, bool preparedStatement)
- String stripDelimiters(String identifier, IdentifierType type)
- bool subscribeToNotification(String name)
- List subscribedToNotifications()
- List tables(TableType tableType)
- bool unsubscribeFromNotification(String name)

### Instance Properties

QSqlDriver objects have no special properties beyond those inherited from the QSqlDriver prototype object.